Next Commerce
API ReferenceFulfillment

Locations Create

Create a new fulfillment location.

POST
/locations/

Authorization

oauth2 fulfillment_service:write, locations:write
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: fulfillment_service:write, locations:write

Header Parameters

X-29next-API-Version*string
Default"2024-04-01"
Value in"2024-04-01"

Request Body

Response Body

application/json

curl -X POST "https://example.com/locations/" \  -H "X-29next-API-Version: 2024-04-01" \  -H "Content-Type: application/json" \  -d '{    "address": {      "country": "string",      "line1": "string",      "line4": "string"    }  }'
{
  "accept_return": true,
  "address": {
    "country": "string",
    "line1": "string",
    "line2": "string",
    "line3": "string",
    "line4": "string",
    "phone_number": "string",
    "postcode": "string",
    "state": "string"
  },
  "allowed_destination_countries": [
    "string"
  ],
  "callback_url": "http://example.com",
  "id": 0,
  "name": "string"
}